Package org.eclipse.gef.editpolicies

# Class AbstractTreeContainerEditPolicy

java.lang.Object
org.eclipse.gef.editpolicies.AbstractEditPolicy
org.eclipse.gef.editpolicies.TreeContainerEditPolicy
org.eclipse.gef.editpolicies.AbstractTreeContainerEditPolicy

All Implemented Interfaces:
  `EditPolicy`, `RequestConstants`

public abstract class AbstractTreeContainerEditPolicy extends TreeContainerEditPolicy
Deprecated.
Use TreeContainerEditPolicy

## Field Summary

### Fields inherited from interface org.eclipse.gef.EditPolicy

`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

### Fields inherited from interface org.eclipse.gef.RequestConstants

`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

## Constructor Summary

Constructors
Constructor
Description
`AbstractTreeContainerEditPolicy()`
Deprecated.

## Method Summary

### Methods inherited from class org.eclipse.gef.editpolicies.TreeContainerEditPolicy

`eraseTargetFeedback, findIndexOfTreeItemAt, findTreeItemAt, getAddCommand, getCommand, getCreateCommand, getMoveChildrenCommand, getTargetEditPart, showTargetFeedback`

### Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy

`activate, deactivate, debugFeedback, eraseSourceFeedback, getHost, setHost, showSourceFeedback, toString, understandsRequest`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AbstractTreeContainerEditPolicy

public AbstractTreeContainerEditPolicy()
Deprecated.